extensions / Commerce extension
GET
/api/projects/{project_id}/sales/transactions/{transaction_id}Get Transaction
Get transaction detail
GET
Authentication
- Requirement
- Required
- Credential type
- Bearer API key
- Scopes
- Not specified
Permissions
- Requests are scoped to the target project_id. API-key requests must use a key with an active connection to that project.
Headers
| Name | Required | Type | Details |
|---|---|---|---|
Authorization | Yes | Not specified | Description: Bearer credential used to authenticate the request. |
Path Parameters
| Name | Required | Type | Details |
|---|---|---|---|
project_id | Yes | Not specified | Description: Target project identifier. |
transaction_id | Yes | Not specified | Description: Identifier for transaction. |
Query Parameters
Request Body
Response Body
Example 200 response
json
{
"id": 1,
"project_id": 1,
"order_id": 1,
"order_number": "string",
"transaction_id": 1,
"parent_transaction_id": 1,
"payment_service_id": 1,
"payment_method": "string",
"transaction_type": "string",
"amount": "string",
"currency_code": "string",
"status": "active",
"message": "string",
"metadata": "string",
"processed_at": "2026-01-01T00:00:00Z",
"created_at": "2026-01-01T00:00:00Z",
"updated_at": "2026-01-01T00:00:00Z"
}Errors
404 not_foundAvailability
- Available in
- v0.1.0
- Available since
- v0.1.0
- Implementation
- Available
- Deprecation
- Not specified
- Rate limits
- Not specified

